window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"1564","username":"btree","comment":"<p>If you want to save with your own specific StateSave Key and not the prefixed (Datatables_TableID_Url) use stateSaveCallback and stateLoadCallback.<\/p>\n\n<pre><code class=\"multiline language-js\">stateSaveCallback: function ( settings, data ) {\n        localStorage.setItem( 'YourKeyName', JSON.stringify( data ) );\n    },\n stateLoadCallback: function ( ) {\n        try {\n            return JSON.parse( localStorage.getItem( 'YourKeyName' ) );\n        } catch (e) {}\n  },\n<\/code><\/pre>\n","created":"13:06, Sun 17th Jan 2016","parent":null,"version":"1.10.10","children":[]},{"id":"3114","username":"djdenv","comment":"<p>I would not recommend using cookies for storage. Cookies are passed back and forth between the client and server for all requests, even if the cookie isn't relevant. The JSON used to retain a datatables' state can become quite large, and if you use several table instances on your site (not page), the data can get immense. So much so, that your site will crash because of a 4K limit. Using just a few tables with a dozen columns will get you to that limit pretty quick. Use localstorage or AJAX!<\/p>\n\n<p>Also, for name keys as btree suggested, you can easily use the ID tag of the table using <code>settings.sInstance<\/code><\/p>\n","created":"16:17, Mon 8th Jan 2018","parent":null,"version":"1.10.16","children":[]}] );
} );window._site.page = "reference\/option\/stateSave";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = 'ad088c71d5a3838a9861a6cf04f25f3b7757793297aa5e1f';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


